icewm (2.1.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Feb 2021 20:05:50 -0800

icewm (2.1.2-1) unstable; urgency=medium

  * New upstream release
    + fixes descovery of desktop files in folders with broken symlinks

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Feb 2021 22:27:54 +0100

icewm (2.1.1-1) unstable; urgency=medium

  * New upstream release
    + fixes a pseudo crash caused by incorrect internal image handling which
      was accidentally covered by direct use of (now dropped) libxpm
      functionality (closes: #980837)

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Jan 2021 21:08:55 +0100

icewm (2.0.0-2) unstable; urgency=low

  * Disable direct loaders except for Imlib2 and librsvg
  * Dropped libgdx-pixbuf-2.0 dependency (its xlib support is deprecated)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 16:30:03 +0100

icewm (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 11:22:49 +0100

icewm (1.9.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 12 Nov 2020 19:25:03 +0100

icewm (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Oct 2020 22:02:45 +0100

icewm (1.8.3-2) unstable; urgency=low

  * Upload to Unstable
  * Disabling upstream tests (not ready for buildd environment)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Sep 2020 00:51:30 +0200

icewm (1.8.3-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Sep 2020 10:59:51 +0200

icewm (1.8.1+git20200906-1) experimental; urgency=low

  * New upstream release (plus a few fixes from HEAD)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Sep 2020 12:11:15 +0200

icewm (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Upgrading compat level to 10, standards to 4.5.0

 -- Eduard Bloch <blade@debian.org>  Mon, 15 Jun 2020 19:46:43 +0200

icewm (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix dh_auto_clean call

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Mar 2020 18:46:40 +0100

icewm (1.6.4-1) unstable; urgency=low

  * New upstream release
    + upstream fix for cmake driven build (bc6ff129)

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Feb 2020 12:54:58 +0100

icewm (1.6.3+git20191202-1) unstable; urgency=low

  * New upstream release, plus minor additions
    - includes some documentation improvements (closes: #771603)
    - includes some impovements for transparency, SupportSemitransparency
      should now work for sure (closes: #271012)
  * handle prerm argument "upgrade" (as no-op)
  * replaced old FAQ snapshot with latest version from ice-wm.org, now
    generating with pandoc from markdown (closes: #912530, #924155, #918462)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Dec 2019 22:09:40 +0100

icewm (1.6.2+git20190929-1) unstable; urgency=low

  * New upstream release, plus config build fixes
  * Stop removing/reinstalling alternatives on every upgrade (closes: #931360)
  * Added hard Build-Conflicts on libesd0-dev (closes: #896655)

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Sep 2019 19:02:55 +0200

icewm (1.5.5+git20190728-1) experimental; urgency=low

  * New experimental upstream snapshot
    + Restores TaskBarFullscreenAutoShow functionality (closes: #931230)

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Jul 2019 07:10:07 +0200

icewm (1.4.3.0~pre-20181030-2) unstable; urgency=low

  * Dropped build and installation of the additional icewm FAQ (wrong
    information is often worse that no information, and FTBFS fix due to
    removed linuxdoc-tools dependency)

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Oct 2018 12:25:51 +0100

icewm (1.4.3.0~pre-20181030-1) unstable; urgency=low

  * New upstream snapshot
  * Reverting terminal wrapper on some utility functionality to upstream
    default (xterm) to avoid incompatibilities with some x-terminal-emulator
    providers
  * Cleanup of some old dependencies, no longer used in this branch

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Oct 2018 22:05:40 +0100

icewm (1.4.3.0~pre-20180822-1) unstable; urgency=low

  * New upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Aug 2018 22:10:15 +0200

icewm (1.4.3.0~pre-20180809-2) unstable; urgency=low

  * Aligned cmake config with the desired image loader selection, also
    enabling SVG support
  * Adding symlink to (default) preferences file to examples folder

 -- Eduard Bloch <blade@debian.org>  Fri, 10 Aug 2018 08:43:10 +0200

icewm (1.4.3.0~pre-20180809-1) unstable; urgency=low

  * Updated upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Thu, 09 Aug 2018 13:03:11 +0200

icewm (1.4.3.0~pre-20180217-4) unstable; urgency=low

  * Restrict supported audio backends to libao (closes: #897595)
  * Build-Dep: added libfribidi-dev, removed libaudiofile-dev

 -- Eduard Bloch <blade@debian.org>  Sat, 05 May 2018 15:01:31 +0200

icewm (1.4.3.0~pre-20180217-3) unstable; urgency=medium

  * Adding missing libjpeg-dev build-dependency

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Feb 2018 20:16:54 +0100

icewm (1.4.3.0~pre-20180217-2) unstable; urgency=medium

  * New upstream snapshot
  * Fixed export of CONFIG_LIBJPEG in source code (closes: #891737)

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Feb 2018 18:41:58 +0100

icewm (1.4.3.0~pre-20180217-1) unstable; urgency=low

  * New upstream snapshot
  * Uploading to Sid, pros should outweigh the cons by now
  * Use automatic icon name resolution for applications managed via
    alternatives mechanism, stops showing wrong/missing icons
  * More build-deps (perl for pod based manpages)

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Feb 2018 19:20:05 +0100

icewm (1.4.3.0~pre-20171225-1) experimental; urgency=low

  * New upstream snapshot
  * Finally switched to direct PNG&XPM loader
  * Changed build to create just one flavor. icewm-lite is now simulated
    through runtime default configuration.

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Dec 2017 22:42:23 +0100

icewm (1.4.3.0~pre-20171204-3) experimental; urgency=low

  * Upstream patch: Fix the build in case where icesound is not enabled

 -- Eduard Bloch <blade@debian.org>  Tue, 05 Dec 2017 20:04:51 +0100

icewm (1.4.3.0~pre-20171204-2) experimental; urgency=low

  * Patch and actually build fix: Back to PIXBUF as default image loader, the
    new PNG+XPM is not sufficient

 -- Eduard Bloch <blade@debian.org>  Tue, 05 Dec 2017 08:03:21 +0100

icewm (1.4.3.0~pre-20171204-1) experimental; urgency=low

  * New upstream snapshot
    - dropped icewmtray binary (not built-in feature)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 Dec 2017 19:07:38 +0100

icewm (1.4.3.0~pre-20171017-1) experimental; urgency=low

  * New upstream snapshot
    + includes FTBFS fixes (closes: #877613)
    + various fixes for colormap handling (#261876 related)
    + manpage updates (mostly in the previous snapshots, closes: #711603)
    + taskbar shouldn't be focusable anymore (closes: #174712)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross compilers (closes: #850919)

 -- Eduard Bloch <blade@debian.org>  Tue, 17 Oct 2017 19:49:37 +0200

icewm (1.4.3.0~pre-20171002-2) experimental; urgency=low

  * Fix FTBFS due to accidentally removed libsndfile1-dev dependency
  * Change of x-terminal-emulator call to xterm in the "Restart as Xterm"
    function, since this ends deadly with multi-window-single-session
    implementations like terminator (partial fix of #224537)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Oct 2017 20:39:43 +0200

icewm (1.4.3.0~pre-20171002-1) experimental; urgency=low

  * New upstream snapshot
    - Fixed space allocation below taskbar in certain display setups (thanks to
      Dmitry Semyonov, closes: #874271, #536251)
    - Fixes/Improves automatic discovery of network devices including new
      systemd naming scheme, closes: #801867, #790745)
    - Overhauled icon space allocation (probably closes: #400880)
  * Changed version string (this is preview, 1.4.3 is not released yet)
  * Font size tuning (smaller and less bold)
  * Dropped dependency on libesd (will be used if present through libao,
    detected at runtime; closes: #856080)
  * Documented upstream bug tracker (closes: #802181)
  * Drop deprecated symlink for deprecated themes gtk/gtk2 (closes: #877183)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Oct 2017 18:51:17 +0200

icewm (1.4.3+mod+20170901-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot
  * Adding libao-dev build dependency to enable AO support

 -- Eduard Bloch <blade@debian.org>  Fri, 01 Sep 2017 21:33:43 +0200

icewm (1.4.3+mod+20170823-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot
  * Drop our modifications on font loading (explicite preference for DejaVu)
  * Build rules fixes to use parallelization (stop using dh_auto_build, use
    plain make)

 -- Eduard Bloch <blade@debian.org>  Tue, 08 Aug 2017 21:11:45 +0200

icewm (1.4.1+mod+20170728-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Jul 2017 16:13:19 +0200

icewm (1.3.8+mod+20161220-1) unstable; urgency=low

  * New upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Tue, 20 Dec 2016 20:28:11 +0100

icewm (1.3.8+mod+20160906-1) unstable; urgency=medium

  * New upstream snapshot
    + fixes icon display problem in lightdm (closes: #836782)
    + fixes potential file handle leak in battery state monitoring

 -- Eduard Bloch <blade@debian.org>  Tue, 06 Sep 2016 20:36:21 +0200

icewm (1.3.8+mod+20160825-1) unstable; urgency=low

  * New upstream snapshot (1.3.12+)
    + background execution of shutdown command, probably closes: #787362
  * Adapt menu and toolbar references from Iceweasel to Firefox when needed
  * Changed XChat to HexChat since XChat was removed from Testing
  * Added some forgotten checksums for deprecated conffiles from 
    revision 1.3.8+githubmod+20150412+960629d-1
  * New menu category: Accessibility (closes: #825032)
  * Remove conffile /etc/X11/icewm/programs when purging (closes: #806401)

 -- Eduard Bloch <blade@debian.org>  Thu, 25 Aug 2016 20:33:15 +0200

icewm (1.3.8+mod+20151227-1) unstable; urgency=low

  * New upstream snapshot (1.3.12+)

 -- Eduard Bloch <blade@debian.org>  Sun, 27 Dec 2015 21:39:32 +0100

icewm (1.3.8+githubmod+20150914+fa3fdef-2) unstable; urgency=medium

  * Restored /usr/share/icewm/preferences - some icewm settings don't get
    their defaults if the file is not present anywhere

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Sep 2015 00:46:46 +0200

icewm (1.3.8+githubmod+20150914+fa3fdef-1) unstable; urgency=low

  * New upstream snapshot
    + restores Xinerama on platforms that were affected by #799009
  * Partial redesign of debian/rules to use dh sequencing
  * Apart from icewm-common package, making sure not to keep directories with
    regular files in /usr/share/doc (especially to not shadow the copyright
    file, closes: #798698)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Sep 2015 23:51:44 +0200

icewm (1.3.8+githubmod+20150818+ad97152-1) unstable; urgency=medium

  * New upstream snapshot (github version 1.3.10+)
    + Reverted the unconditional setting of Java focus hack that seems to
      cause more harm than good (closes: #782088)
  * Little cleanup and update of the default menu configuration

 -- Eduard Bloch <blade@debian.org>  Tue, 18 Aug 2015 11:37:45 +0200

icewm (1.3.8+githubmod+20150412+960629d-1) unstable; urgency=low

  * New upstream snapshot
    + fixes shaped decorations (closes: #782087)
  * Added the last version of FAQ, added text version (closes: #397231) and
    groff Build-Dependency to generate it
  * Added an example of a startup file for icewm-session, it also executes
    the XDG autorun files (closes: #401664)
  * Added a README to configuration directory in /etc, explaining the absence
    of the config file copies there. This also silences a dpkg warning on
    partial package removal (closes: #781069)

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Apr 2015 00:06:37 +0200

icewm (1.3.8+githubmod+20150310+31bfd46-2) unstable; urgency=low

  * Adjusting build dependencies (cmake, removed various older ones)

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Mar 2015 13:02:15 +0100

icewm (1.3.8+githubmod+20150310+31bfd46-1) unstable; urgency=low

  * New upstream snapshot, upload to unstable
    + fixes chopped strings with non-ascii locales in icewm-lite
  * Automatic deletion of old unmodified files from /etc/X11/icewm (the
    copies in /usr/share/icewm are used instead; this should stop the overall
    confusion, closes: #409269) and added instructions for
    configuration to README.Debian (closes: #593295)
  * Buggy icewm-menus-gnome is gone (closes: #716629, actually two versions ago)

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Mar 2015 11:52:55 +0100

icewm (1.3.8+githubmod+20150214+d373d98-2) experimental; urgency=low

  * Unified naming of manpage suffix, removed conflicting symlink in icewm
    package (closes: #778797)
  * Added another conflicts to icewm, against previous versions of
    icewm-common that erroneously contained some meta files (closes: #778555)

 -- Eduard Bloch <blade@debian.org>  Fri, 20 Feb 2015 08:14:25 +0100

icewm (1.3.8+githubmod+20150214+d373d98-1) experimental; urgency=low

  * Back to non-native packaging, generating upstream snapshots as needed.
    Generating FAQ documents in the build process, new build dependency on
    linuxdoc-tools
  * Removed erraneous icewm-menu-fdo-... manpage links with suffix, moved it
    to icewm-common (closes: #778424)
  * Restored dh_fixperms call

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Feb 2015 18:20:23 +0100

icewm (1.3.8+githubmod+20150213.2+d373d98) experimental; urgency=low

  * Adjusting build dependencies
  * Added a workaround for older glib version (for wheezy)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Feb 2015 16:55:57 +0100

icewm (1.3.8+githubmod+20150213.1+d373d98) experimental; urgency=low

  * Alternative upstream version: moving to community patched version on
    GitHub, with a Debian specific branch on top of icewm-1-3-BRANCH from
    Brian Bidulock <bidulock@openss7.org>
    + fixes shutdown and reboot commands (closes: #771845). Adaptation of some
      Debian defaults to use systemd services (otherwise via sudo like before).
    + includes the autocompletion patch (closes: #774231)
  * Dropped icewm-gnome-support package (now integrating a new desktop menu
    plugin supporting any modern format; dropping dependencies on ancient
    gnome libraries. Closes: #708042)
  * setting package dependency on fonts-dejavu-core, keeping ttf-dejavu-core
    as alternative for backport (closes: #770309)
  * Dropped most xsession*desktop files (closes: #605926), keeping only
    icewm-session*desktop invocation configs
  * Added a workaround for zombie windows apparently caused by startup races
    in icewm-session (closes: #695040, #695035, #760399)
  * Removed -name and -title options from x-terminal-emulator calls, those
    options are not universal
  * Not installing genpref anymore (no point, use config examples)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Feb 2015 15:31:48 +0100

icewm (1.3.8-2) unstable; urgency=medium

  * Fix format buffer overflow in CPU tooltip rendering (closes: 765965)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Oct 2014 00:22:52 +0200

icewm (1.3.8-1) unstable; urgency=low

  * New upstream version (closes: #749475)
    + supports _NET_WM_STRUT_PARTIAL and Qt5 windows (closes: #751794)
    + fixes focus issues with JDK7 (closes: #723844)
  * removed xz setting from package building, it's default now
  * changed xlockmore suggestion and it's usage in debian_defaults patch to
    xscreensaver version (closes: #721415)
  * Added sudo halt/reboot as default calls for that actions and added
    documentation about enabling them (closes: #672403, #721416)
  * Added usage of 16x16 xpm versions for menus where available, based on
    patch by Kevin Ryde (closes: #723906)

 -- Eduard Bloch <blade@debian.org>  Mon, 22 Sep 2014 22:15:13 +0200

icewm (1.3.7-5) unstable; urgency=low

  * Fixing linking arguments (libm also for Gnome parts, closes: #713632)
  * Using hardening flags now, working around null pointer dereferencing in
    option parsers

 -- Eduard Bloch <blade@debian.org>  Sat, 29 Jun 2013 17:59:17 +0200

icewm (1.3.7-4) unstable; urgency=low

  * Fixing FTBFS (build dependencies)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2012 12:35:05 +0200

icewm (1.3.7-3) unstable; urgency=low

  [ Eduard Bloch ]
  * Declared 32x32 icon version in menu files (closes: #664696)
  * Cleanup in debian/patches/misc_fixes
  * Cleanup of debian/rules, now using dedicated build directories for each
    flavor, with major upstream source fixes in package_build_fixes patch
  
  [ Andreas Moog ] 
  * Don't define "deprecated", use "_ICEWM_deprecated" instead 
    (closes: #661238, LP: #935179)

  [ Matthias Klose ]
  * Fix build failure with GCC 4.7. Closes: #672089.

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2012 00:46:23 +0200

icewm (1.3.7-2) unstable; urgency=low

  * ignore_workarea_hints patch (based on patch from SF task 3471908,
    workaround for #619325) to fix Qt menus with Xinerama
  * set path to HTML help file lost during quilt transition 
    (closes: #622826, #653041)
  * kfreebsd_porting_aapm patch: enable battery status on kFreeBSD
    (closes: #650395)
  * do_not_send_configurenotify patch: prevent sending of ConfigureNotify
    causing an infinite loop with emacs23 (closes: #589432)
  * fuzzy_timers patch: icewmbg to handle multiple timeouts with less CPU
    load, from SF task 1723213 (closes: #216884)
  * debian_defaults patch: using DejaVu Sans and friends as prefered default
    fonts to support Cyrillic letters. With Depends: ttf-dejavu-core, or a
    fake package added by the user (closes: #392693)
  * obligatory packaging changes, now using XZ compression for debs

 -- Eduard Bloch <blade@debian.org>  Mon, 16 Jan 2012 19:33:00 +0100

icewm (1.3.7-1) unstable; urgency=low

  * New upstream release (closes: #614971)
  * added patch from Evgeny M. Zubok to restore focus on Emacs after raising
    Gtk applications which had focus before (closes: #519770)
  * added fontconfig to direct linking list (closes: #618101)
  * Added a note about APM graph default to README.Debian (closes: #593296)
  * fixed prerm (removal of alternatives entries for flavors, piuarts warning)
  * quoting icon paths (closes: #402483)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Mar 2011 15:24:35 +0100

icewm (1.3.7~pre2-1) unstable; urgency=low

  * New upstream preview release
  * Minor packaging fixes
  * Migrated to dpkg format 3.0 (quilt)

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Apr 2010 21:45:34 +0200

icewm (1.3.6-3) unstable; urgency=low

  * Fixed file descriptor leak in ifstate_exact_check.dpatch

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 16:04:46 +0200

icewm (1.3.6-2) unstable; urgency=low

  * adaptations to use Iceweasel without Firefox compatibility wrappers
  * imap_unseen.dpatch: better display of unseen messages in IMAP folders,
    patch by Alexander Galanin with minor changes (closes: #539956)
  * ifstate_exact_check.dpatch: explicite check of certain interface's state
    instead of mere looking for its presense (closes: #563731)

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 13:29:36 +0200

icewm (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Jan 2010 18:27:20 +0100

icewm (1.3.6~pre2-1) unstable; urgency=low

  * New upstream release
    + solves rare cases of X11 control lockup (closes: #563633)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 Jan 2010 21:43:29 +0100

icewm (1.3.6~pre1-1) unstable; urgency=low

  * New upstream release
    + misc_fixes.dpatch and iconify_on_wm_hints.dpatch fully integrated by
      upstream, disabled here
    + fixes shape drawing when gradients are in use (closes: #544222)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Jan 2010 20:32:48 +0100

icewm (1.3.5-2) unstable; urgency=low

  * misc_fixes.dpatch: reviewed and reenabled still required fixes 
    (closes: #552292 and closes some others again)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Dec 2009 19:42:29 +0100

icewm (1.3.5-1) unstable; urgency=low

  * New upstream release
  * misc_fixes.dpatch: disabled, applied by upstream
  * package_build_fixes.dpatch: stripped down, partially applied by
    upstream. Print latency:... messages only when measure_latency 
    variable is set (closes: #561404)
  * i18n_updates.dpatch: refreshed for 1.3.5, added updated 
    pt_BR.po (closes: #561620)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Dec 2009 21:53:41 +0100

icewm (1.2.37+1.3.4pre2-8) unstable; urgency=medium

  * misc_fixes.dpatch: array delete[] fix, by George Danchev (closes: #552371)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 20:54:35 +0100

icewm (1.2.37+1.3.4pre2-7) unstable; urgency=medium

  * misc_fixes.dpatch: force creation of nested submenu prior to adding the
    theme entry, thus preventing letter case related sorting confusgion later
  * misc_fixes.dpatch: skip NET_WM_ICON window icon method when the result has
    no contents, fixing fallback to legacy icons resolving (closes: #552292)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 18:59:27 +0100

icewm (1.2.37+1.3.4pre2-6) unstable; urgency=medium

  * i18n_updates.dpatch: included patch from Michael Kostylev to use proper
    format strings for network interface tooltip (closes: #551456, #539122)
  * misc_fixes.dpatch: implemented mstring::compareTo(...) correctly, fixing
    sorting of theme menu entries correctly. Also resolved calloc/delete
    mismatch in aapm.cc.

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 01:11:25 +0200

icewm (1.2.37+1.3.4pre2-5) unstable; urgency=low

  * revival of tray_hotfixes.dpatch: revert of a suspicious upstream change
    which seems to cause races and therefore abort display of tray icons
    completely (thanks to Stanislav Maslovski, closes: #474495)
  * misc_fixes.dpatch: added patch from Vladislav Naumov to restore window
    size parameters after fullscreen mode was requested from the application
    itself (closes: #549896)
  * debian_defaults.dpatch: added XF86WWW key config to support weird
    keyboards (closes: #513176). Also changed google.com to yahoo.com (no
    special reason, just keeping it fair).

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Oct 2009 20:56:24 +0200

icewm (1.2.37+1.3.4pre2-4) unstable; urgency=low

  * quick workaround for icewm crash (causing endless restarting) on oversized
    X properties (closes: #538010, #535887)
  * i18n updates from Ingo Brueckl, Alexander Galanin

 -- Eduard Bloch <blade@debian.org>  Sun, 26 Jul 2009 01:53:52 +0200

icewm (1.2.37+1.3.4pre2-3) unstable; urgency=low

  * Fixed installation of translations (SF bug#2816623, closes: #530650)
  * misc_fixes.dpatch: parser fix to protect against faulty data
    in wmicon blobs (closes: #534490)
  * i18n_updates.dpatch: Brazilian translation updates by Sérgio Cipolla,
    German translation updates by Eduard Bloch (closes: #533829)
  * Added permanent dh_icons call and appropriate debhelper dependency
  * Forced correct path of the HTML help files in the help browser startup

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Jul 2009 19:07:55 +0200

icewm (1.2.37+1.3.4pre2-2) unstable; urgency=low

  * Fixed Build-Deps (added libgnomeui-dev)

 -- Eduard Bloch <blade@debian.org>  Tue, 26 May 2009 00:58:50 +0200

icewm (1.2.37+1.3.4pre2-1) unstable; urgency=low

  * Based on upstream development branch release
    + using libgdk_pixbuf instead of Imlib1.x which is now deprecated 
      in Debian Unstable (closes: #456127)
    + fixes black application icon problem (closes: #354434, maybe also
      closes: #288590, #298995)
  * less verbosity of update-alternatives (closes: #508086)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 May 2009 16:17:28 +0200

icewm (1.2.37-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Jan 2009 00:18:14 +0100

icewm (1.2.36-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Dec 2008 21:23:34 +0100

icewm (1.2.35-1) unstable; urgency=low

  * New upstream release with one fix from CVS
  * Automatic linking with gcc -lsupc++ fixed (failed in recent versions),
    also using "-Wl,--as-needed"
  * Documentation update - README.Debian reordered by importance
  * Changed font defaults in Xft specifications to consider Bitstream Vera
    family as alternative font (closes: #360060, #319191, #349952, #456463),
    also documented how to configure alternative fonts
  * Added Bernhard's iconify_on_wm_hints as dpatch (closes: #428566, #389919)
  * force use of bash in upstream's Makefile to keep the installation
    magic as-is (closes: #459181)

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Mar 2008 21:24:25 +0100

icewm (1.2.33-1) unstable; urgency=low

  * New upstream release
  * Copy duplicated files instead of symlink, reliably avoids dpkg-source/diff
    confusion (closes: #442602)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Nov 2007 22:32:18 +0100

icewm (1.2.32-2) unstable; urgency=low

  * changed the relationship fields and description of icewm-experimental to
    reflect its current situation (icewm wrapper). This especially removes
    Recommends: gnome-core which confused a certain user (closes:#440766).
  * added tray_hotfixes.dpatch (by Micky Hatya) picked up on icewm-user to
    solve apparent nasty problems with icewmtray (closes:#439061)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Sep 2007 22:14:58 +0200

icewm (1.2.32-1) unstable; urgency=low

  * New upstream release
  * package_build_fixes.dpatch: updates to fix the LITE build again

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Aug 2007 12:10:27 +0200

icewm (1.2.30-1) unstable; urgency=medium

  * New upstream release
    + fixes startMinimized option (closes: #393723 and probably parts 
      of #398950)
    + addresses problems with changed focus behaviour, see NEWS.Debian for
      details (closes: #398947, #390638
  * Removed Jerome Marant from Uploaders list

 -- Eduard Bloch <blade@debian.org>  Tue,  9 Jan 2007 20:23:12 +0100

icewm (1.2.28-4) unstable; urgency=low

  * cvs_fixes.dpatch:
    + recent changes taken from the development of version 1.2.29pre1
    + Includes a superset of most of our patches, including an
      improved fix for qt-4.2 crash (now really closes: #395465)
    + fixed RANDR rotation detection
  * Removed all obsolete dpatches

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Nov 2006 10:52:44 +0100

icewm (1.2.28-3) unstable; urgency=medium

  * Fixed Firefox logo and x-www-browser description in the toolbar

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Oct 2006 23:03:32 +0100

icewm (1.2.28-2) unstable; urgency=medium

  * blade_fixes.dpatch: inofficial workarounds, got no upstream reaction so
    far:
    - break an infinite function call loop when procession application exiting
      events, segfaulting icewm with qt-4.2 and presumably segfaulting
      icewmtray in some situations (closes: #392936, #392936)
    - adaptive start button pixmap selection
  * altgr_binding_support.dpatch:  (based on work from Joerg Sommer)
    - adds AltGR symbols to possible modifiers, (closes: #391212)

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Oct 2006 21:35:44 +0200

icewm (1.2.28-1) unstable; urgency=low

  * New upstream release
  * changed taskbar icon name from start.xpm to icewm.xpm, blessed by
    upstream. Would break current themes otherwise.
  * old icons have been removed from upstream tarballs, so now using the icons
    shipped with the particular packages

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Sep 2006 19:17:14 +0200

icewm (1.2.27-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 08 Aug 2006 21:11:05 +0200

icewm (1.2.26-3) unstable; urgency=low

  * Tux Racer -> ppracer in the default menu entries

 -- Eduard Bloch <blade@debian.org>  Fri, 26 May 2006 12:41:50 +0200

icewm (1.2.26-2) unstable; urgency=low

  * versioned build-dep on libxpm-dev to work around buggy version, build-dep
    on libxt-dev (closes: #368288)
  * stoped updating the translations during the Debian build, broken is broken

 -- Eduard Bloch <blade@debian.org>  Sun, 21 May 2006 12:53:09 +0200

icewm (1.2.26-1) unstable; urgency=low

  * New upstream release
  * toolbar file changes: 
    + removed gvim from default toolbar, looked really lost there
    + changed firefox to x-www-browser (debianisation), using
      communicator-browser icon shipped with icewm (closes: #288590, #344580)
  * updated debian.xpm, set it as default icewm.xpm picture (our branding)
  * dropped years old workarounds for dpkg/update-alternatives problems,
    unified postinst/prerm files (closes: #330801)
  * package description overhaul, made text more readable and up-to-date
  * dropped the icewm-gnome package. There is no meaning in keeping it life.
    icewm-gnome-support provides it know, it includes a wrapper script
    icewm-gnome, choosing an installed icewm binary.
  * package descriptions overhaul
  * small typo fixes and langugage "improvements" in de.po (closes: #365384)
  * cosmetic fixes: Standards-Version, debian/compat file, manpage symlink

 -- Eduard Bloch <blade@debian.org>  Sun, 21 May 2006 02:01:18 +0200

icewm (1.2.25-1) unstable; urgency=low

  * New upstream release
    + Ctrl-Alt-Del dialog buttons reenabled (closes: #350701)
    + combination of TaskBarKeepBelow=0 and TaskBarAutoHide=1 no longer
      resizes maximized windows (closes: #350698)

 -- Eduard Bloch <blade@debian.org>  Tue,  7 Feb 2006 21:02:11 +0100

icewm (1.2.24-2) unstable; urgency=low

  * disabled ipv6_monitor.dpatch untill further investigation - it sporadicaly
    breaks detection of active interfaces

 -- Eduard Bloch <blade@debian.org>  Thu, 26 Jan 2006 21:45:16 +0100

icewm (1.2.24-1) unstable; urgency=low

  * New upstream release
    + adopted window_color_fix.dpatch, dpatch disabled

 -- Eduard Bloch <blade@debian.org>  Thu, 26 Jan 2006 20:54:11 +0100

icewm (1.2.23-3) unstable; urgency=low

  * Fixed more icon locations in menu and toolbar files. Enabled _our_ toolbar
    installation again, for some reason it has been inactive since some
    bashism cleanup in the past.
  * ipv6_monitor.dpatch fixes: closing filehandles on procfs even if IPv6 is
    just half-working, and using the correct fclose function

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Jan 2006 15:08:34 +0100

icewm (1.2.23-2) unstable; urgency=low

  * replaced build-deps on xlibs-dev (closes: #346748). Thanks for the
    search script.
  * dropped incorrectly called (w/o x-terminal-emulator) entries from the
    default menu and specified the right icon for Firefox
  * added ipv6_monitor.dpatch - counting IPv6 trafic (closes: #325349)
  * added window_color_fix.dpatch, based on patch from Bernhard R. Link
    to fix color display with some few graphics drivers (closes: #267265)

 -- Eduard Bloch <blade@debian.org>  Thu,  1 Sep 2005 21:01:16 +0200

icewm (1.2.23-1) unstable; urgency=low

  * New upstream release
    + hides shutdown/reboot menu entries unless configured (closes: #321856),
      not detecting in the -lite flavor though
  * set dependency on xlibs-dev again until the xorg-x11 transition
    is trough (closes: #319311, #326020)
  * another build fix for the -lite build because of missing ifdefs, added to
    package_build_fixes.dpatch)

 -- Eduard Bloch <blade@debian.org>  Thu,  1 Sep 2005 19:00:01 +0200

icewm (1.2.22-2) unstable; urgency=low

  * put a dummy kde-config in the path that just outputs Debian's default path
    settings, removed build-dependency on kdelibs-bin
  * set dependency on libxinerama-dev only for architectures that provide it
    and removed the xlibs-static-dev dependency, it is pulled on by
    implib*-dev on architectures where it is required

 -- Eduard Bloch <blade@debian.org>  Mon, 18 Jul 2005 22:32:11 +0200

icewm (1.2.22-1) unstable; urgency=low

  * New upstream release
  * new build dependencies to fix potential FTBFS and other issues
  * there are no good reasons to build a separate -experimental flavor since
    most experimental features have become stable now. For now (as long as no
    good reasons requires the reversion of the change), the config from
    -experimental has been merged with the default flavor.
    The -experimental package will depend on "icewm" and provide compatibility
    symlinks for a while.

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Jul 2005 23:48:58 +0200

icewm (1.2.21+1.2.22pre2-1) unstable; urgency=low

  * New upstream pre-release
    + lots of minor bugfixes
    + adopted de.po fixes, blade_fixes.dpatch disabled again
    + xlock existance check adopted by upstream
  * removing known deprecated conffiles (gdm Session files, closes: #315786)

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Jul 2005 18:55:09 +0200

icewm (1.2.21-2) unstable; urgency=low

  * kicked last remainings of Gnome 1.x support (icewm-menu-gnome1, 
    /etc/gdm/* files, closes: #311171)
  * transition to libpng12-dev and imlib11-dev
  * blade_fixes.dpatch: added de.po fixes by Jens Seidel
    <jensseidel@users.sf.net> (closes: #314036)

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jun 2005 21:01:09 +0200

icewm (1.2.21-1) unstable; urgency=low

  * New upstream release
    + solves problems with wxpython (closes: #219952)

 -- Eduard Bloch <blade@debian.org>  Fri,  3 Jun 2005 22:33:37 +0200

icewm (1.2.20+21pre1-3) unstable; urgency=low

  * debian_defaults.dpatch: added code to verify that the default xlock
    command exists, following the goal of the upstream author
  * cosmetic fixes to become lintian clean
  * removed traditional /etc/gdm/Sessions files, kept only fd.o versions, also
    fixed permissions

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Mar 2005 15:13:33 +0100

icewm (1.2.20+21pre1-2) unstable; urgency=low

  * repload to fix the .svn madness

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Mar 2005 15:33:18 +0100

icewm (1.2.20+21pre1-1) unstable; urgency=low

  * New upstream (pre)release
  * moved "menu" to Recommends, added grun and xlockmore to Suggests, added
    xlock -remote -mode blank as the default locking command
  * more Debianisation of defaults, replaced netscape calls with
    sensible-browser where possible, or with mozilla-firefox or with
    mozilla-thunderbird for proprietary commands

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Mar 2005 15:27:23 +0100

icewm (1.2.20-1) unstable; urgency=low

  * New upstream release
    + may fix transparency problems
    + the MouseWinMove binding defaults (Alt+Click) has been restored. An
      alternative to Alt can be set with something like
      MouseWinMove=Super+Pointer_Button1 and
      MouseWinSize=Super+Pointer_Button3 (closes: #287803)

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Jan 2005 02:12:46 +0100

icewm (1.2.18-1) unstable; urgency=low

  * New upstream release
    + some windows key combination have been fixed (closes: #285190, #280444)
    + fixes typos in comments (closes: #281733, #280340)
    + package_build_fixes.dpatch: added taskbar related checks to compile
      with lite and not crash when taskbar is disabled
  * experimental patch for PMU support by Jörg Sommer <joerg@alea.gnuu.de>
    added to the experimental flavor (closes: #286152)
  * creating the icewm-... manpage symlink again (closes: #284420)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Dec 2004 22:00:39 +0100

icewm (1.2.17-1) unstable; urgency=low

  * New upstream release
    + minimize-all button works on full-screen windows (closes: #272517)
    + fixes some old annoying bugs, including proper fix for #208357
  * replaced xterm with x-terminal-emulator in keys and wmapp.cc

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Nov 2004 21:50:55 +0100

icewm (1.2.16-1) unstable; urgency=high

  * New upstream release. This really needs to go to Sarge since it
    fixes nasty bugs
    + fixes the "not really fullscreen" issue with mplayer and others
    + fixes the ACPI battery status display (closes: #267048)

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Aug 2004 23:37:45 +0200

icewm (1.2.15-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Aug 2004 18:19:42 +0200

icewm (1.2.14-5) unstable; urgency=medium

  * debian/rules: removed an old workaround that was needed because we did not
    have uptodate X for months/years some time ago. It ran amok after the
    libtiff4 transition.

 -- Eduard Bloch <blade@debian.org>  Mon,  2 Aug 2004 11:04:12 +0200

icewm (1.2.14-4) unstable; urgency=medium

  * libtiff4 transition (set explicit dependencies, closes: #262817)
  * moved the FAQ source to the sgml directory (optical consistency)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Aug 2004 10:47:54 +0200

icewm (1.2.14-3) unstable; urgency=low

  * cvs_fixes.dpatch: more upstream bugfixes pulled from upstream CVS:
    + Slovak translation (Radovan Stas)
    + fix activation from gnome-2.6 panel to properly raise window
    + fix transparency support (caused crashes in Xchat, closes: #252008)
    + NetBSD support for NetStatus (Iain Hibbert)
    + more gcc-3.4 fixes (closes: #259006)
    + net modifier setup code to cope with weird xorg modifier setup
      (closes: #229426)

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Jul 2004 09:40:31 +0200

icewm (1.2.14-2) unstable; urgency=low

  * cvs_fixes.dpatch: bugfixes pulled from upstream version 1.2.15pre1:
    +	fix ppp applet isdn online status
    +	fix focusing new+maximized windows (closes: #253000)
    +	fix some alt+tab pref combinations (hidden + all/group workspaces)
    +	some more gcc 3.4 fixes (morfic)

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Jul 2004 19:07:46 +0200

icewm (1.2.14-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 23 May 2004 20:40:02 +0200

icewm (1.2.13+CVS20040510-1) unstable; urgency=low

  * New upstream CVS snapshot
    + netwm modal state disabled
  * cvs_fixes.dpatch disabled since the experimental changes have been
    reverted. RaiseOnFocus should behave sane again (closes: #247808, #247970)
  * menu_parser_fix.dpatch disabled, adopted by upstream

 -- Eduard Bloch <blade@debian.org>  Mon, 10 May 2004 23:29:24 +0200

icewm (1.2.13+CVS20040506-1) unstable; urgency=low

  * new upstream CVS snapshot (near to 1.2.14pre14)
    + fixes background transparency with gDesklets (closes: #247682)
    + wmstate model fixed but another problem appeared in the meantime 
      (SF bug #947510). Updated cvs_fixes.dpatch to fix the new one.
  * moved the -lsupc++ arg to the libs list since the gcc on s390 failed to
    work this way
  * Removed /etc/X11/Xsession part from the .desktop files (not needed)
  * minor copyright file and package description updates (closes: #245283)

 -- Eduard Bloch <blade@debian.org>  Thu,  6 May 2004 16:39:55 +0200

icewm (1.2.13+CVS20040416-1) unstable; urgency=low

  * New upstream CVS snapshot (near to 1.2.14pre13)
    + fixes crash with XPM icon handling (closes: #239596)
    + window stealing focus no longer reproducible (closes: #225274)
    + image transparency with XPM icons for folders fixed (closes: #177811)
  * cvs_fixes.dpatch: rollback of the suspcicious wmstate code changes
    (Sourceforge bug #933902)
  * menu_parser_fix.dpatch: replaced the original arguments parser with my 
    version working with quotes in a shell-like manner
    (closes: #243020, #159713, #188725, #225114, #148898)
  * calling /bin/sh in the menu entries instead of sh
  * no longer add our font defaults in the preferences file (currt Xft seems
    to behave sane again), provided them as example only (closes: #226075)
  * Adapted to the new display manager integration standards via .desktop
    files and created appropriate symlinks to our pixmaps (closes: #240977)
  * enabled Xrandr support again, we have a modern X in Sid again
  * replaced link command with gcc -lsupc++, hopefully to get rid of libstdc++
    dependency (upstream uses only gcc)
  * less_verbosity.dpatch: use the correct macros to not spew lots of debug
    messages to the starting console

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Apr 2004 16:53:12 +0200

icewm (1.2.13+CVS20040321-1) unstable; urgency=low

  * New upstream (pre) release, similar to 1.2.14pre2
    + regenerated HTML pages and PO files
    + parts of package_build_fixes.dpatch fixed by upstream
  * FAQ update
  * changed libxft2-dev dependency to have a real package as the first
    alternative (libxft-dev again), to make build daemons not fail

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Jan 2004 11:07:59 +0100

icewm (1.2.13+CVS20040127-1) unstable; urgency=low

  * New upstream CVS snapshot (future 1.2.14pre10)
    * fixes taskbar crash with LANG=ru_RU.UTF-8
    * saves menu changing history (closes: #224538)
    * focus behaviour fixes (closes: #207097)
  * manpage cleanup, update and generalisation. Dropped the undocumented
    skeleton and replaced with symlink to the general manpage and moved it to
    the icewm-common package.
  * README.Debian reordering, documented menu i10n (closes: #228328)
  * icesound enabled in experimental flavor
  * refreshing translations at build time

 -- Eduard Bloch <blade@debian.org>  Fri, 26 Dec 2003 11:12:10 +0100

icewm (1.2.13+CVS20031226-1) unstable; urgency=low

  * New upstream CVS snapshot, fixing few bugs
  * Explicitely disabling XRANDR support since there are no up-to-date xlibs
    in Debian Sid
  * package_build_fixes.dpatch: wmmgr.cc fix adopted by upstream

 -- Eduard Bloch <blade@debian.org>  Fri, 26 Dec 2003 02:02:55 +0100

icewm (1.2.13+CVS20031225-1) unstable; urgency=low

  * new upstream (pre) release 1.2.14pre4 plus additions from CVS:
    + fixes crash TaskBarShowWindowListMenu=0 (closes: #216447)
    + stops uncontroled icewm executing loop (closes: #217532)
    + absorbed our patches: blade_fixes.dpatch, icewm_lite_build_fix.dpatch,
      gpp_build_fix.dpatch, contrib_nested_theme_menu.dpatch (later improved
      by me, the replacement option is called NestedThemeMenuMinNumber now),
      fixing:
      - icewm-session*, run the correct versions of ice* applications
      - create nested menues correctly with hot keys
      - manual explicitely mentions icewm-session and other components
        (closes: #223676)
  * debian_defaults.dpatch: modifications to apply cleanly
  * Swapped Maintainer and Uploader fields, changed roles
  * enabled Shaped Decorations in the default icewm package, upstream declared
    it as stable
  * the default font configuration snippet converted to the new Xft syntax,
    tuned to Sans/Helvetica fonts
  * Using SHELL=/bin/bash in debian/rules (closes: #219125)
  * Separate doc-base files for FAQ and manual (closes: #219115)
  * FAQ update, also create index.html symlink
  * removed icewm_lite_build_fix.dpatch (adopted by upstream)
  * changed to use the dpatch package
  * gdm's session files now start icewm-session* instead of pure icewm*

 -- Eduard Bloch <blade@debian.org>  Thu, 25 Dec 2003 11:00:46 +0100

icewm (1.2.13-3) unstable; urgency=low

  * Corrected the doc-base URL for IceWM-FAQ (closes: Bug#215383)
  * Documented the requirement to run icewm-session* in order to run
    startup|shutdown (Closes: #209357, #215903). It is also claimed to be able
    to restart icewm on crashes (Closes: #184561)
  * contrib_nested_theme_menu.dpatch: new option ThemeExtraSubmenu creates
    nested themes menu with submenues named after the first char of the theme
    name (closes: #186783)
  * set default fonts preferences to Helvetica because the default selection
    behaves insane in Xft2 versions

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 16:37:58 +0200

icewm (1.2.13-2) unstable; urgency=low

  * debian/compiler_defaults.dpatch: Replacing gcc with g++ in src/Makefile.in
    as it should be, especially because gcc does not link cleanly on s390
  * debian/gpp_build_fix.dpatch: new patch, fixes icewm build with g++
  * improved description WRT icewm-menu-gnome{1,2} binaries
  * recently added features disabled for the lite version and updated the
    description of it (closes: #208314)
  * registering icewm*-session as x-session-manager

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 15:00:58 +0200

icewm (1.2.13-1) unstable; urgency=low

  * New upstream release
    + Icewmbg properly sets background now. Closes: Bug#208516
  * debian/patches/icewm_lite_build_fix.dpatch: new patch fixing
    icewm-lite's build.
  
 -- Jerome Marant <jerome@debian.org>  Sat, 27 Sep 2003 12:46:05 +0200

icewm (1.2.12+13pre1-1) unstable; urgency=low

  * New upstream pre-release
    + Background handling setting should have be fixed in the previous
      upload. Closes: Bug#206189
    + Memory leak on workspace switching fixed. Closes: Bug#182027
  * Added the html FAQ from www.icewm.org (completes #153138)

 -- Eduard Bloch <blade@debian.org>  Mon,  1 Sep 2003 13:05:00 +0200

icewm (1.2.12-1) unstable; urgency=low

  * New upstream release.
    + Fixes themes preferences handling so it behaves like
      it used to before late versions. Closes: Bug#206675
    + ShowMoveSizeStatus now works if OpaqueMove=0. Closes: Bug#206541
  * debian/patches/icewmbg_on_startup.dpatch: removed since the
    problem has been fixed upstream.
  * debian/README.Debian: added section about how to automaticaly load a
    theme background with recent versions of icewm.

 -- Jerome Marant <jerome@debian.org>  Sun, 24 Aug 2003 17:31:18 +0200

icewm (1.2.11-1) unstable; urgency=low

  * New upstream release
    + fixes icewmbg on start invocation, closes: Bug#206189
  * Removed po-debconf from Build-Deps

 -- Eduard Bloch <blade@debian.org>  Tue, 19 Aug 2003 21:49:28 +0200

icewm (1.2.10-1) unstable; urgency=low

  * New upstream version. Closes: Bug#197559
    + fontconfig used correctly with XFree86 4.3.0. Closes: Bug#186701
    + ~/.icewm/keys is used when starting from KDM. Closes: Bug#169490
    + hotkey selection fixed in 1.2.8. Closes: Bug#184932, Bug#187530
    + in Gnome mode, don't ignore "preferences" settings, Closes: Bug#189136
    + seen such problem in 1.2.6 but no longer since 1.2.7, Closes: Bug#187208
    + more descriptions in the manual, Closes: Bug#153138, Bug#152881
    + Theme setting now stored ~/.icewm/theme, Closes: Bug#204272
    + AutoReloadMenus and NumLock bugs fixed ages ago, 
      Closes: Bug#178442, Bug#91996
  * Jérôme Marant:
    - debian/control:
      - Added Eduard Bloch <blade@debian.org> to uploaders.
      - Moved icewm-gnome and icewm-gnome-support to the `gnome' section.
      - Removed debconf dependency from icewm-common.
      - Bumped Standards-Version to 3.6.0.
      - Added libgnome2-dev and libgnome-desktop-dev to build dependencies.
    - debian/{config,templates,po}: removed debconf files since it is a bad
      practice to use debconf to show	notes that would normaly belong to
      README.Debian. Anyway, thanks to all translators (Closes: #194649)
    - debian/postinst: removed since there is nothing more to add than what
      is provided by debhelper.
    - debian/icons/icewm*.xpm: added icewm icons.
    - debian/icewm*.postinst: remove menu method for previous versions since
      only icewm-common must provide a menu method.
    - debian/custom/menu: added GNOME 2 menu support.
    - debian/icewm*.menu: added icon entry pointing to IceWM's icon.
    - debian/patches/gettext.dpatch: removed since the problem has been
      fixed by upstream.
    - debian/patches/package_build_fixes.dpatch: updated.
    - debian/patches/debian_defaults.dpatch:
      + Updated in order to make mutt the default mailer instead of pine.
      + Added default IconPath value.
  * Eduard Bloch:
    - added debian/TODO to source to keep track of outstanding issues
    - debian/docs: removed the `FAQ' entry, outdated and will hopefully be
      replaced with the new HTML FAQ soon
    - debian/man/*.1x: Man section change in source (1 -> 1x) to match the
      filenames, Closes: Bug#185098
    - debian/control: added alternative Build-Dependency on libxrender-dev
      (for XFree86 4.3.0 series), Closes: Bug#186701
    - debian/patches/00list: removed gettext patch from patch list.
    - debian/icewm*.postinst: workaround to inherit the update-alternatives
      selection after changing the binary location, Closes: Bug#199787
    - build icewm-menu-gnome1 together with *2 and install a script to fix
      move the config to Gnome2 by users

 -- Jerome Marant <jerome@marant.org>  Mon, 11 Aug 2003 22:10:07 +0200

icewm (1.2.7-3) unstable; urgency=low

  * debian/postinst: catching errors from chmod calls. Closes: Bug#201992

 -- Jerome Marant <jerome@debian.org>  Sun, 20 Jul 2003 18:27:44 +0200

icewm (1.2.7-2.1) unstable; urgency=low

  * NMU (playing at home the Debcamp BSP)
  * new patch: gettext 
     + Patch configure to accept that gettext is a macro. Closes: Bug#197755
       This is a bad patch, but there are new upstream versions that fix
       this problem (but add others).
  * debian/*.menu-method: replaced by icewm-common.menu-method. 
    Several menu-methods building the same file (/etc/X11/icewm/programs) make
    no sense (only the last do something useful).
  * debian/icewm-common.menu-method: 
     + Add outputencoding="LOCALE"
     + Basically rewrite it properly.
  * debian/icewm-common.postinst:
     + chmod a-x the old menu-methods so that menu does not use them.
  * debian/control: icewm-common: Conflicts: menu (<< 2.1.9-1).

 -- Bill Allombert <ballombe@debian.org>  Wed, 16 Jul 2003 12:05:05 +0200

icewm (1.2.7-2) unstable; urgency=low

  * debian/*.menu-method: added `!include menu.h' line at the
    beginning of all menu methods. Thanks Bill Alombert.
    Closes: Bug#184096.

 -- Jerome Marant <jerome@debian.org>  Thu, 13 Mar 2003 22:04:16 +0100

icewm (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fontpath_fix.dpatch: removed. This patch
    has been applied upstream.
  * debian/patches/debian_defaults.dpatch: added. This patch
    changes some default configuration options for Debian.
  * debian/dirs: added entry for etc/X11/icewm.
  * debian/rules: install undocumented manpages. Proper manpages
    will be provides later.
  
 -- Jerome Marant <jerome@debian.org>  Sun,  9 Mar 2003 13:16:32 +0100

icewm (1.2.6-4) unstable; urgency=low

  * debian/po/fr.po: removed fuzzy entries. Thanks Denis Barbier.
  * debian/po/pt_BR.po: added Brazilian Portuguese translation of
    debconf templates. Thanks Andre Luis Lopes. Closes: Bug#179370.
  
 -- Jerome Marant <jerome@debian.org>  Sun,  9 Feb 2003 22:22:19 +0100

icewm (1.2.6-3) unstable; urgency=low

  * debian/control: added conflict with gnome-control-center (<< 1:2.0)
    to ice-gnome-support since this package used to provide IceWM.desktop.
    Closes: Bug#178167.
  * debian/custom/menu: replaced Netscape entry by a Mozilla entry.
    We do not refer to non-free software any more.
  * debian/rules: worked around dpkg-shlibdeps bug in order not to
    have duplicate dependencies on xlibs. This won't be necessary
    with Xfree86 4.2.1-6.
  * Added mozilla icons. Thanks Guido Guenther. Closes: Bug#149856.
  
 -- Jerome Marant <jerome@debian.org>  Sat, 25 Jan 2003 14:53:29 +0100

icewm (1.2.6-2) unstable; urgency=low

  * debian/patches/no_max_fix.dpatch: do no use the max function since
    it is not available on some architectures (ia64, alpha).

 -- Jerome Marant <jerome@debian.org>  Thu, 23 Jan 2003 21:28:38 +0100

icewm (1.2.6-1) unstable; urgency=low

  * New upstream release.
  * Added icewm-gnome-support package which contains all support
    files for using IceWM with GNOME.
  * icewm-gnome is now a dummy package that provides a icewm-gnome
    link to icewm and that depends on icewm-gnome-support.
  * Added GDM entry for each IceWM flavour. Closes: Bug#174572.
  * debian/patches/package_build_fixes.dpatch: updated with respect
    to new makefiles.
  * debian/control:
    - Added libxft2-dev to build-dependencies.
    - Added libttf-dev to build-conflicts.
    - Bumped Standard-Versions to 3.5.8.
    - Updated short and long descriptions.
    - Added icewm-gnome-support package.
    - Added dependency on debconf to icewm-common.
    - Removed autotools-dev from build dependencies.
  * debian/rules:
    - Install data in /usr/share/icewm rather than /usr/X11R6/lib/X11/icewm.
    - Install binaries in /usr/bin rather than /usr/X11R6/bin.
    - Install manapages in /usr/share/man/man1 rather than
      /usr/X11R6/man/man1.
  * debian/icewm*.dirs: replaced usr/X11R6/bin entry with usr/bin.
  * debian/dirs: replaced usr/X11R6/lib/X11/icewm entry with usr/share/icewm.
  * debian/icewm*.postinst: updated alternatives installation with respect
    to new binary and manpages locations.
  * debian/icewm*.prerm: updated alternatives removal with respect to new
    binary and manpages locations.
  * debian/icewm*.menu: updated menu entries with respect to new binary
    locations.
  * debian/README.Debian: updated. **PLEASE READ**.
  * debian/config: added code for poping up debconf note.
  * debian/templates: added debconf note about major changes in icewm.
    Many thanks to Eduard Bloch for improving some paragraphs and
    fixing mistakes.
  * debian/po/de.po: added German translation. Many thanks to Eduard Bloch.
  * debian/po/fr.po: added French translation.
  * Upstream fixes:
    - Icewm-gnome crashes and reboots to login screen when some items of
      GNOME menu are being clicked. Closes: Bug#161936.
    - Wrong assumption on char signedness. Closes: Bug#162393.
    - Galeon/Xchat wrong positioning. Closes: Bug#145359.
    - Raising active windows with the taskbar/panel minimizes them.
      Closes: Bug#145937.
    - Xinerama support for IceWM. Closes: Bug#160207.
    - Minor APM fixes. Closes: Bug#97038.
    - Flicker when opening sub-menus. Closes: Bug#169855.

 -- Jerome Marant <jerome@debian.org>  Sun, 19 Jan 2003 22:24:56 +0100

icewm (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Changed imlib-dev build-dependency to imlib1-dev.
    - Bumped Standards-Version to 3.5.7.
  * Patch menu_custom: added icewm-experimental to the window manager
    list in 'Window Managers' toplevel menu.
  * Upstream fixes:
    - Taskbar on top can now be made reappear. Closes: Bug#146637.
    - Applied patch from Daniel Pittman making workspace change
      on focus. Closes: Bug#141742.
  * Fixed EXEEXT handling in configure.in and rerun autoconf in
    order to get a new configure script.
  
 -- Jerome Marant <jerome@debian.org>  Wed,  4 Sep 2002 21:49:35 +0200

icewm (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * debian/control: bumped Standards-Version to 3.5.6.1.
  * Moved patch handling in a separate rules.patch file.
  * Updated config.sub and config.guess.

 -- Jerome Marant <jerome@debian.org>  Sat,  3 Aug 2002 17:24:26 +0200

icewm (1.1.99+1.2.0pre2-2) unstable; urgency=low

  * New maintainer.

 -- Stephen Zander <gibreel@debian.org>  Tue, 25 Jun 2002 01:15:49 -0700

icewm (1.1.99+1.2.0pre2-1) unstable; urgency=low

  * New upstream preversion.
  * Upstream fixes:
    - fix for size/position bug. Closes: Bug#144188.
    - fix for taskbar position and startet applications bug. Closes: Bug#145811.
    - fix for double height taskbar buttons bug. Closes: Bug#147973.

 -- Jerome Marant <jerome@debian.org>  Sun,  2 Jun 2002 20:41:58 +0200

icewm (1.1.99+1.2.0pre1-1) unstable; urgency=low

  * New upstream preversion.
    Closes: Bug#146134, Bug#140252, Bug#145623, Bug#145747, Bug#128690.

 -- Jerome Marant <jerome@debian.org>  Sun, 12 May 2002 21:19:40 +0200

icewm (1.0.9.2.cvs.20020430-2) unstable; urgency=low

  * debian/rules: added autotools target in order to handle the
    problem of outdated config.{guess, sub}. Closes: Bug#145475.
  * upgraded manually config.{guess, sub} from autotools-dev because
    the tarball versions do not support -t option.
  * debian/control: added build dependency on autotools-dev.

 -- Jerome Marant <jerome@debian.org>  Fri,  3 May 2002 21:51:52 +0200

icewm (1.0.9.2.cvs.20020430-1) unstable; urgency=high

  * New CVS snapshot.
    Closes: Bug#137226, Bug#139519, Bug#140249, Bug#118728, Bug#138845.
  * IMPORTANT: this CVS snapshot comes from the 1.2 branch
    which brings nothing but fixes (no new features were added).
    Since the original IceWM upstream maintainer has decided to
    continue its development, there might be more snaptshots in
    the future.
  
 -- Jerome Marant <jerome@debian.org>  Tue, 23 Apr 2002 21:27:46 +0200

icewm (1.0.9.2-7) unstable; urgency=low

  * Integrated more fixes from Julien Lemoine:
    - Improved again window position patch.
      Closes: Bug#138784, Bug#126214.
    - Improved patch fixing taskbar display in hide mode. Closes: Bug#139426.
    - Fixed non-functional logout entry in icewm-lite. Closes: Bug#130466.
  * Applied patch from Rob Funk fixing the broken POP3 mailcheck with
    some servers. Closes: Bug#139401.
  * Applied patch removing src/.targets when cleaning so targets are
    calculated for each icewm flavour. Closes: Bug#139370.
  
 -- Jerome Marant <jerome@debian.org>  Sat, 23 Mar 2002 13:06:05 +0100

icewm (1.0.9.2-6) unstable; urgency=low

  * Improved window position patch. Thanks to Julien Lemoine.
    Closes: Bug#138784, Bug#138860.
  * Applied patch fixing taskbar display in hide mode.
    Thanks to Julien Lemoine.
  * debian/control: added Julien Lemoine <speedblue@debian.org> to
    to uploaders.
  
 -- Jerome Marant <jerome@debian.org>  Tue, 19 Mar 2002 20:21:04 +0100

icewm (1.0.9.2-5) unstable; urgency=low

  * Updated Catalan translation thanks to Jordi Mallach. Closes: Bug#133285.
  * Applied the following patches:
    - Fix for a segfault when TrayDrawBevel=1.
      Thanks to Julien Lemoine. Closes: Bug#126213.
    - Fix for an owerflow in the network load indicator.
      Thanks to Eduard Bloch. Closes: Bug#118728.
    - Fix for a window position which marches up the screen, noticeable when
      launching Galeon and Xchat. Thanks to Julien Lemoine. Closes: Bug#123619.
    - Fix for problems in handling geometry option in winoptions.
      Thanks to Jasper Spaans. Closes: Bug#130093.
  * Many thanks to Julien Lemoine for giving so much of his time for
    fixing icewm bugs.
  
 -- Jerome Marant <jerome@debian.org>  Sat, 16 Mar 2002 08:57:54 +0100

icewm (1.0.9.2-4) unstable; urgency=low

  * debian/rules: do not use dh_installwm any more since it does not make
    an alternative manpage to x-window-manager installed.
  * debian/icewm{, -gnome, -lite, -experimental}.postint: added management
    of x-window-manager alternative for both binaries and manpages.
    Closes: #123448.
  * debian/icewm{, -gnome, -lite, -experimental}.prerm: added removal
    of the x-window-manager alternative instead of the one provided
    by dh_installwm.

 -- Jerome Marant <jerome@debian.org>  Sat, 19 Jan 2002 11:48:34 +0100

icewm (1.0.9.2-3) unstable; urgency=low

  * debian/rules:
    - build the standard `icewm' package with imlib instead
      of libxpm, in order to support more image formats.
    - override the default `preferences' file with the experimental
      version of genpref in order to offer most of available options.
      Closes: Bug#117815.

 -- Jerome Marant <jerome@debian.org>  Mon, 26 Nov 2001 22:28:27 +0100

icewm (1.0.9.2-2) unstable; urgency=low

  * debian/control: fixed typo in icewm-experimental description.
    Closes: Bug#115775.
  * Modified package_build_fixes patch in order to include back some
    missing conffiles. Closes: Bug#118228.
  * Applied fontpath patch from Tomohiro Kubota. Closes: Bug#111278.
  
 -- Jerome Marant <jerome@debian.org>  Mon,  5 Nov 2001 22:02:03 +0100

icewm (1.0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Updated config.guess and config.sub in order to get the package
    built on recent architectures.
  * Removed the gcc-3.0_fixes_backport patch since the problem was
    fixed upstream.
  * Modified toolbar_custom and menu_custom patches according to new
    filenames and internal organization.
  * debian/control: added new package icewm-experimental providing
    all experimental features of icewm.
  * debian/rules:
    + Added building of icewm-experimental and links to undocumented
      manpage for all its binaries.
    + Removed the use of g++ for linking since this is no longer
      necessary.
  * debian/copyright: updated authors.
  * Upstream fixes:
    + Fixed problem with transparent xmp. Closes: Bug#27614.
    + Mail icon now works fine. Closes: Bug#51279.
    + Clock no more freezes. Closes: Bug#64459.
    + Fixed RaiseOnClickClient related problem. Closes:Bug#83827.
    + Fixed keyboard focus problem. Closes: Bug#99008.
    + Fixed reparenting. Closes: Bug#80481.
    + Cursor keys are working when numlock is on. Closes: Bug#80481.
  
 -- Jerome Marant <jerome@debian.org>  Tue,  9 Oct 2001 20:25:46 +0200

icewm (1.0.8.6-2) unstable; urgency=low

  * debian/rules: override both CXX and LD with g++ when building
    in order to ensure the use of C++ specifics.
  * Patch gcc-3.0_fixes_backport: integrated upstream gcc 3.0 fixes
    in order to get icewm compile also on HPPA. Closes: Bug#108275.
  * Added missing build dependency on xutils. Closes: Bug#108923.
  * Merged patches that fix together the same kind of problem and
    renamed them so that we can guess more easily what they fix.

 -- Jerome Marant <jerome@debian.org>  Wed, 22 Aug 2001 10:55:00 +0200

icewm (1.0.8.6-1) unstable; urgency=low

  * New upstream version. Closes: Bug#97463.
  * New maintainer.
  * Removed the menu entry for icewm-common so we only get a single entry
    in dwww and doccentral. Closes: Bug#58975.
  * debian/control:
    + Added versioned build dependency on debhelper 3.0.0 and greater.
    + Switched Standards-Version to 3.5.6.
    + Added version dependencies on icewm-common.
    + Moved dependency on `icepref' from Recommends to Suggests.
      Closes: Bug#82470.
    + Added `iceme' in icewm-common Suggests.
  * debian/icewm-common.doc-base: fixed the directory for the HTML
    documentation which was /usr/share/doc/icewm instead of
    /usr/share/doc/icewm-common. Closes: Bug#101915, Bug#97282, Bug#106171.
  * debian/rules:
    + Removed calls to installation of the documentation from the Makefile
      since it is not pratical from the packaging pint of view. So, we don't
      need to patch src/Makefile. Closes: Bug#94153.
    + Moved the documentation to /usr/share/doc/icewm-common/html
      subdirectory which is cleaner.
    + Moved icewm manpage from icewm-common to icewm and duplicated this
      manpage to icewm-gnome and icewm-lite.
    + Added undocumented manpages links for remaining binaries.
    + Added a patch section at the end (borrowed from DBS).
  * debian/icewm{, -gnome}.preinst: move the /usr/share/doc/icewm*
    directory elsewhere if it does exist, in order to get the package
    symlink installed by dpkg in the same place.
  * debian/icewm{, -gnome}.postinst: added the removal of the old
    /usr/share/doc/icewm{, -gnome} directory.
  * debian/icewm{, -gnome}.postrm: added the recovery of the old
    /usr/share/doc/icewm{, -gnome} directory in case of an install failure.
  * debian/icewm{, -gnome, -lite}.menu: removed the `icon="none"' item
    since there is no icon.
  * debian/menu-method: replaced xterm by x-terminal-emulator which
    works even without having xterm. Closes: Bug#93812.
  * patch #005: replaced xterm by x-terminal-emulator in the
    toolbar. Closes: Bug#74449.
  * Added a debian/patches directory containing all patches.
  * Added mutt icons.
  * patch #003: added a Application/Mail Agents/mutt section in
    the menu. Closes: Bug#62337.
  * Added README.Debian: PLEASE READ IT!
  * Upstream fixes:
    + Impossible to log out from the `logout' submenu. Closes: Bug#96647.
    + `basename' declaration in src/base.h conflicts with the
      same declaration in /usr/include/string.h. Closes: Bug#105068.
    + The TitleButtons option is obsolete and has been replaced with
      TitleButtonsLeft and TitleButtonsRight. Closes: Bug#75141.
    + Edge resistence now honours window border. Closes: Bug#21785.
    + Icewm has had a smart window placement for ages. Closes: Bug#24658.
  * Many thanks to Eduard Bloch for his valuable help.

 -- Jerome Marant <jerome@debian.org>  Wed,  1 Aug 2001 09:09:12 +0200

icewm (1.0.7-1) unstable; urgency=low

  * New upstream version
  * Created icewm-common and icewm-lite packages
  * Added Build-Depends
  * Standards upgraded to 3.5.2

 -- Gergely Madarasz <gorgo@sztaki.hu>  Wed, 21 Mar 2001 12:59:27 +0100

icewm (1.0.4-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Wed, 14 Jun 2000 09:29:10 +0200

icewm (1.0.3-1) unstable; urgency=low

  * New upstream version 
  * Previously fixed bug, closes: #50347 
  * Remove call to register-window-manager (Closes: #55155)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu, 30 Mar 2000 12:29:43 +0200

icewm (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Wed, 23 Feb 2000 19:53:18 +0100

icewm (1.0.1-1) unstable; urgency=low

  * New upstream version (Closes: #54590)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Fri, 14 Jan 2000 15:49:27 +0100

icewm (1.0.0-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon,  3 Jan 2000 14:49:20 +0100

icewm (0.9.54-1) unstable; urgency=low

  * New upstream version
  * Added /etc/X11/icewm/keys to conffiles

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon, 13 Dec 1999 18:04:08 +0100

icewm (0.9.53-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Dec 1999 15:26:17 +0100

icewm (0.9.52-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Wed, 24 Nov 1999 12:45:22 +0100

icewm (0.9.51-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon, 22 Nov 1999 20:39:48 +0100

icewm (0.9.50-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Wed, 17 Nov 1999 19:10:26 +0100

icewm (0.9.49-2) unstable; urgency=low

  * Recommend icepref (Closes: #48100, #48101)
  * Remove alternatives when package is removed (Closes: #49207)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Fri,  5 Nov 1999 19:58:29 +0100

icewm (0.9.49-1) unstable; urgency=low

  * New upstream version (Closes: #45888)
  * Provides: x-window-manager, installs alternative
  * Update debian logo (Closes: #42256, #44600)
  * Run xterm -ls (and rxvt -ls) from the menu and taskbar
    (Closes: #46349)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue, 19 Oct 1999 19:45:33 +0200

icewm (0.9.48-2) unstable; urgency=low

  * FHS compliance
  * Standards: 3.0.1
  * Now only Suggests: icewm-themes (Closes: #41120)
  * Add doc-base support: (Closes: #31169)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Sep 1999 17:57:40 +0200

icewm (0.9.48-1) unstable; urgency=low

  * New upstream version
  * Change maintainer address

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu, 26 Aug 1999 17:04:17 +0200

icewm (0.9.46-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 18 Aug 1999 13:02:37 +0200

icewm (0.9.42-1) unstable; urgency=low

  * New upstream version
  * Fix some bashisms in maintainer scripts (#38129 and #39714)
  * Compile with i18n support (#36728)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 23 Jun 1999 20:15:57 +0200

icewm (0.9.39-2) unstable; urgency=low

  * Upload with pristine source now...

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 16 May 1999 17:01:25 +0200

icewm (0.9.39-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 16 May 1999 17:01:17 +0200

icewm (0.9.37-2) unstable; urgency=low

  * Compile for gnome-stage-2

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  7 Apr 1999 20:27:59 +0200

icewm (0.9.37-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  7 Apr 1999 18:42:03 +0200

icewm (0.9.36-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 29 Mar 1999 18:32:27 +0200

icewm (0.9.35-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 21 Mar 1999 18:40:35 +0100

icewm (0.9.33-3) unstable; urgency=low

  * Compile with latest gnome libs again

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  9 Mar 1999 13:30:37 +0100

icewm (0.9.33-2) unstable; urgency=low

  * Compile with latest gnome libs for gnome-staging

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  3 Mar 1999 14:59:52 +0100

icewm (0.9.33-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  5 Feb 1999 23:52:24 +0100

icewm (0.9.32-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  3 Feb 1999 11:15:09 +0100

icewm (0.9.31-1) unstable; urgency=low

  * Fix path for gnome menu (#32621)
  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  1 Feb 1999 18:32:45 +0100

icewm (0.9.30-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 25 Jan 1999 18:38:15 +0100

icewm (0.9.29-2) unstable; urgency=low

  * Fix homepage in the copyright file
  * Compile with gnome 0.99.3

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat, 23 Jan 1999 01:00:52 +0100

icewm (0.9.29-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 15 Jan 1999 19:35:06 +0100

icewm (0.9.28-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 12 Jan 1999 01:39:28 +0100

icewm (0.9.27-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  4 Jan 1999 14:19:28 +0100

icewm (0.9.26-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat,  2 Jan 1999 20:51:50 +0100

icewm (0.9.25-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  1 Jan 1999 22:27:25 +0100

icewm (0.9.24-1) unstable; urgency=low

  * New upstream version
  * Changed default theme back to nice

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 31 Dec 1998 19:10:30 +0100

icewm (0.9.22-1) unstable; urgency=low

  * New upstream version
  * Changed default theme to gtk2

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 28 Dec 1998 21:25:44 +0100

icewm (0.9.15-2) frozen unstable; urgency=low

  * Compile with slink libraries
  * Use dh_installwm in the rules file
  * Add debian 2.1 startbutton

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 30 Nov 1998 18:12:44 +0100

icewm (0.9.15-1) frozen unstable; urgency=low

  * New upstream version, fixes some nasty segfault bugs

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  6 Nov 1998 22:35:45 +0100

icewm (0.9.14-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  6 Oct 1998 14:44:23 +0200

icewm (0.9.13-1) unstable; urgency=low

  * New upstream version
  * Copyright changed to LGPL

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 17 Sep 1998 13:01:02 +0200

icewm (0.9.12-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 10 Aug 1998 15:49:26 +0200

icewm (0.9.11-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  3 Aug 1998 12:35:20 +0200

icewm (0.9.10-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 20 Jul 1998 13:40:59 +0200

icewm (0.9.9-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 17 Jul 1998 16:59:47 +0200

icewm (0.9.8-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 23 Jun 1998 01:35:55 +0200

icewm (0.9.7-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 18 Jun 1998 00:20:32 +0200

icewm (0.9.6-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 15 Jun 1998 12:43:22 +0200

icewm (0.9.5-1) unstable; urgency=low

  * New upstream version:
        - removed debug message for select
        - fixed painting of conditional cascade indicator in gtk look
        - fixed icon/pixmap searching. {icons,taskbar,ledclock,mailbox}
	  pixmaps are now searched in themes too.
        - Added 'bluegold' (hi-color) theme by: Andras Wappel
          <t1000@freemail.c3.hu>
        - Added 'metal-big' theme by: Straker Skunk <straker@mit.edu>
        - Set layer command added to window menu.
        - Rollup focus fix by: Kevin Brown <kevin@sysexperts.com>

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  5 Jun 1998 12:27:51 +0200

icewm (0.9.4-1) unstable; urgency=low

  * New upstream version:
        - Hidden windows were not hidden after restart (taskbar).
        - Reimplemented menu painting. Improvements in Gtk and Metal look.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  2 Jun 1998 10:43:33 +0200

icewm (0.9.3-1) unstable; urgency=low

  * New upstream version:
        - Rollup function did not hide client window
        - workaround for JDK1.1.5(6?) bug? with reusing windows, when
          doing setResizable(false)
        - bug fixes.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 27 May 1998 22:35:07 +0200

icewm (0.9.2-2) unstable; urgency=low

  * Remove /etc/X11/icewm on purge (Closes: #21294)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat, 23 May 1998 00:28:15 +0200

icewm (0.9.2-1) unstable; urgency=low

  * New upstream version:
        - Restore function did not work.
        - SM registration was not entirely correct.
        - A start at Gtk look/theme. Currently only menus are gtk lookalike.
          A good theme for frame borders would be appreciated (I just copied
          Metal for now).

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 22 May 1998 21:22:21 +0200

icewm (0.9.1-1) unstable; urgency=low

  * From the upstream changelog:
        - lots of internal changes wrt. workspaces/layers/states. Things
          like focus/... are still slightly broken. Please report even
          the smallest problems (compared to 0.8.16).
  * New upstream development version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 17 May 1998 22:28:55 +0200

icewm (0.8.16-1) frozen unstable; urgency=low

  * Another upstream bugfix release (Closes: #20869 and #20580 finally). 
    I include the full changelog here since i didn't actually upload 0.8.14 
    and 0.8.15:
    0.8.16:
        - TaskBarShowAllWindows=1 it did not do so after restart
        - opaqueMove/Resize=0 left border on screen when Esc pressed
        - Some dialogs in Mathematica incorrectly forced to height=1 pixel
        - Fix windowlist Show menu option not to focus selected windows
    0.8.15:
        - fixed wrong handling of transient windows (could sometimes crash)
        - taskbar now correctly repaints when there is no WM_ICON_NAME set.
        - window repositioning fixed (xv,java works ok now)
        - window now loses maximized state if app resizes it
    0.8.14:
        - Fixed random crashing problem when (un)mapping windows.
        - Metal theme fixes.
        - Fixed shaped windows with no titlebar.
        - Fix MoveToWorkspace to update taskbar correctly.
        - Memory leak fixes.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun, 12 Apr 1998 21:45:44 +0200

icewm (0.8.15-1) frozen unstable; urgency=low

  * Another upstream bugfix release (Closes: #20869 and #20580), changelog:
        - fixed wrong handling of transient windows (could sometimes crash)
        - taskbar now correctly repaints when there is no WM_ICON_NAME set.
        - window repositioning fixed (xv,java works ok now)
        - window now loses maximized state if app resizes it

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  8 Apr 1998 19:53:06 +0200

icewm (0.8.14-1) frozen unstable; urgency=low

  * Another upstream bugfix release (Closes: #20580), changelog:
     - Fixed random crashing problem when (un)mapping windows.
     - Metal theme fixes.
     - Fixed shaped windows with no titlebar.
     - Fixed MoveToWorkspace to update taskbar correctly.
     - Memory leak fixes.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sun,  5 Apr 1998 01:08:31 +0200

icewm (0.8.13-1) frozen unstable; urgency=low

  * New upstream (bugfixes only)
  * Fixed typo in manpage (Closes: #19664)
  * Modified menu-method file to generate the programs file,
    not the menu file. The menu file can be customized now by the user.
    (Closes: #19952)
  * Since this release is a bugfix release (both upstream and debian) it
    should go to hamm

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 23 Mar 1998 14:28:25 +0100

icewm (0.8.12-1) unstable; urgency=low

  * Remove dh_du call from rules file
  * BeepOnNewMail directive available (Closes: #17643)
  * Fix spelling mistake in extended description (Closes: #19008) 
  * New pixmap-defined theme available: metal/default.theme
  * New upstream release, upstream changelog (not full though):
        - Conditional cascades now used for window list submenus.
        - Fixed Alt+Tab after workspace was switched.
        - Normal modal dialogs now keep focus from their owners.
        - Mouse handling improvements for task bar icons.
        - ICCCM positioning fixes (too bad ICCCM specifies policy here :-()
        - Clock mostly reimplemented. Now more customizable.
        - Tooltips appear in some places.
        - Simplification of multi-workspace concept. Now only single
          workspace for window and sticky windows.
        - Mail,Clock,Lock can now be configured to actually run programs.

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  9 Mar 1998 20:08:53 +0100

icewm (0.8.11-2) unstable; urgency=low

  * Switched from debstd to debhelper
  * Get rid of lintian errors
  * Updated to Standards 2.4.0.0

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 12 Feb 1998 23:31:46 +0100

icewm (0.8.11-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 23 Jan 1998 16:33:10 +0100

icewm (0.8.10-2) unstable; urgency=low

  * Modified default preferences for a nicer look
  * Longer extended description (Bug #16309)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  5 Jan 1998 18:50:22 +0100

icewm (0.8.10-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  5 Dec 1997 02:59:06 +0100

icewm (0.8.9-1) unstable; urgency=low

  * New maintainer
  * New upstream version (Bug #14703)
  * Use pristine sources, rerun deb-make
  * Put copyright file in its place (Bug #14700)
  * Put configuration files in /etc/X11R6/icewm (Bug #14702)
  * Change Architecture to any (Bug #14308)
  * Apply pach for configurable window manager restart
  * Add support wm in menu-methods file
  * Add menu file

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon, 10 Nov 1997 18:01:15 +0100

icewm (0.8.8-1) unstable; urgency=low

  * Initial Release.

 -- Ben J. Ciaccio <ben@righton.org>  Wed, 18 Sep 1997 00:50:20 -0800


